• 10 dec 2017: forum version update. In case of issues use this topic.
  • 30 nov 2017: pilight moved servers. In case of issues use this topic.
Hello There, Guest! Login Register


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Development Version
#1
On page [url=https://www.pilight.org/get-started/installation/][/url] is given a link to install pilight version 

Code:
deb https://apt.pilight.org/ development main
This link does not work.
Where and how you can install a version of the development?
 
Reply
#2
Did you add
Code:
deb https://apt.pilight.org/ nightly main

as well ?
 
Reply
#3
This one works.
I need development.
I want to try out https://github.com/NiekD/pilight-addons
 
Reply
#4
As you are compiling the add ons anyway, is it possible for you to follow the instructions in the manual for manually compiled version and compile the latest development version yourself ?

The manual has all information required to download the development version from the pilight repository.

After that you add your modifications.
 
Reply
#5
I am also having trouble getting the development version (I want to control S*mfy with pilight and that is only available in the dev version). I tried
Code:
deb https://apt.pilight.org/ nightly main
deb https://apt.pilight.org/ development main
as well as
Code:
deb http://apt.pilight.org/ nightly main
deb http://apt.pilight.org/ development main
to no avail. The error I get is
Code:
Fehl https://apt.pilight.org development/main armhf Packages                                                                        
  HttpError404
...
W: Fehlschlag beim Holen von https://apt.pilight.org/dists/development/main/binary-armhf/Packages  HttpError404
The Wiki was not very helpful or I was looking at the wrong page - which is the correct one?

PS pilight-daemon version v7.0-170-gf17be68
 
Reply
#6
(01-22-2017, 09:33 AM)andies Wrote: ..... The Wiki was not very helpful or I was looking at the wrong page - which is the correct one?

PS pilight-daemon version v7.0-170-gf17be68
Okay, you are using the most recent version of the development branch.
As stated in the wiki for the s*mfy protocol, the development branch does not support it, you do need to manually compile the s_mfy branch.
Follow the instructions in the wiki for manually compiling pilight.

In Step 4 the wiki states:
Code:
root@pilight:~# git clone --depth 5 -b [branch] https://github.com/pilight/pilight.git
root@pilight:~# cd pilight
replace [branch] with s_mfy. This is the only change required.
 
Reply
#7
(01-22-2017, 10:31 AM)wo_rasp Wrote: In Step 4 the wiki states:
The command is clear but out of curiosity: Which site exactly you are referring to? I search the word "branch" in the wiki and could not find the site you seemed to mention. Also I was not able to locate the 4th step exactly. There seems to be many pages that have to do with that...
 
Reply
#8
Maybe the misunderstanding is that the description of how to install manually is no longer in the wiki itself, but in the manual it refers to. You can find it here.
 
Reply
#9
(01-22-2017, 11:43 AM)andies Wrote: The command is clear but out of curiosity: Which site exactly you are referring to? ....
I am referring to the pilight.git repository hosted on github (https://github.com/pilight/pilight.git), and that repository has a branch called s_mfy. The git command creates a new directory pilight in your current directory and copies this complete branch into it. With the "cd pilight" command you open this directory.
 
Reply
  


Possibly Related Threads...
Thread Author Replies Views Last Post
  Increased CPU usage with version 8.1.5 wimThoelke 13 277 08-07-2019, 08:38 PM
Last Post: curlymo
  Git active branches and development behrisch 9 497 01-21-2019, 09:09 PM
Last Post: behrisch
  Wich Version to use Alex 1 796 11-25-2017, 04:32 PM
Last Post: curlymo
  Config issues from development to stable 8.0 terrar 5 1,381 10-28-2017, 09:56 AM
Last Post: curlymo
  development, orangepi pc+, "no gpio-platform configured" Twain 1 2,105 06-01-2017, 05:51 PM
Last Post: curlymo
  pilight development installation -- failed / what is the secret? gneandr 5 2,554 02-04-2017, 10:06 AM
Last Post: gneandr
  Development version \ kaku_dimmer Nelus82 2 1,746 03-18-2014, 02:33 PM
Last Post: Nelus82

Forum Jump:


Browsing: 1 Guest(s)